MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002277VCMIMechanics - Otherpublic2015-10-03 21:562016-09-18 07:08
ReporterSXX 
Assigned ToSXX 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.98d 
Target VersionFixed in Version0.99 
Summary0002277: Random heroes always have subID of zero and don't inherit predefined options
DescriptionThis is problem specific for Obj::RANDOM_HERO. Any heroes that was spawned from random hero object on map are never fully initialized. Also if hero chosen by GameState::randomizeObject had predefined skills/spells/etc in map options those won't be used at all.

I find that issue because at least "RemoveObject::applyGs" use subID for ID in available heroes pool. So when map only have limited number of heroes allowed and they all spawned as "RANDOM_HERO" they won't back into pool after defeat / dismiss.
TagsNo tags attached.
Attached Files? file icon SXX_TELEPORT_Heroes_non-random.h3m [^] (9,592 bytes) 2015-10-04 13:42
? file icon SXX_TELEPORT_Heroes_random.h3m [^] (9,594 bytes) 2015-10-04 13:42
? file icon SXX_TELEPORT_Heroes_random_predefined.h3m [^] (9,641 bytes) 2015-10-04 13:42
? file icon SXX_Hero_subID_bug.h3m [^] (1,865 bytes) 2015-12-05 08:02

- Relationships
related to 0001929resolvedIvan Game start: if hero selected pre-game and map have multiple start towns you'll get multiple clones of same hero 
related to 0002127resolvedSXX Possible crash when hero is hired in town that gives him primary skill bonus 

-  Notes
(0005904)
Warmonger (administrator)
2015-10-04 09:13
edited on: 2015-10-04 16:29

Where do random heroes come from? How to place one in map editor?

(0005905)
SXX (administrator)
2015-10-04 13:35
edited on: 2015-10-04 13:42

It's icon is next to last in list. Just before "Hero Placeholder".

(0005906)
SXX (administrator)
2015-10-04 13:58

Just in case uploaded few maps where I find that issue.
(0006115)
SXX (administrator)
2015-11-25 16:15

It's funny how this bug likely related to one of first bugs I ever reported for VCMI. :-)
(0006147)
SXX (administrator)
2015-12-05 07:54

Ivan commit fixed that at least partially:
https://github.com/vcmi/vcmi/commit/89bf3592e3c4ed06dcfdf66d19e8a6f623e0e408 [^]

Though I'm not yet 100% sure that all data related to random and non-random heroes are loaded properly from map settings. So I'll do more testing of this one later one.
(0006682)
SXX (administrator)
2016-09-18 07:08

First I that Ivan's changes fixed object property loading so army, skills and spells were fine for quite some time.

Now I find out what cause exactly subID problem and looks like everything should be fine now:
https://github.com/vcmi/vcmi/commit/635c48f889d8d642ac1fb7517222356498bd0953 [^]

- Issue History
Date Modified Username Field Change
2015-10-03 21:56 SXX New Issue
2015-10-04 09:13 Warmonger Note Added: 0005904
2015-10-04 13:35 SXX Note Added: 0005905
2015-10-04 13:42 SXX File Added: SXX_TELEPORT_Heroes_non-random.h3m
2015-10-04 13:42 SXX File Added: SXX_TELEPORT_Heroes_random.h3m
2015-10-04 13:42 SXX File Added: SXX_TELEPORT_Heroes_random_predefined.h3m
2015-10-04 13:42 SXX Note Edited: 0005905 View Revisions
2015-10-04 13:58 SXX Note Added: 0005906
2015-10-04 16:29 Warmonger Note Edited: 0005904 View Revisions
2015-11-25 16:15 SXX Relationship added related to 0001929
2015-11-25 16:15 SXX Note Added: 0006115
2015-12-05 07:54 SXX Note Added: 0006147
2015-12-05 08:02 SXX File Added: SXX_Hero_subID_bug.h3m
2016-09-12 03:26 SXX Assigned To => SXX
2016-09-12 03:26 SXX Status new => assigned
2016-09-18 01:39 SXX Relationship added related to 0002127
2016-09-18 07:08 SXX Note Added: 0006682
2016-09-18 07:08 SXX Status assigned => resolved
2016-09-18 07:08 SXX Fixed in Version => 0.99
2016-09-18 07:08 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean